help tetex-src-3.0 error

Matthew Burgess matthew at linuxfromscratch.org
Thu Feb 18 12:02:52 PST 2010


Dale Stein wrote:
> I was wondering if anyone knew how to fix this problem
> I am trying to build teTeX-3.0 and it is coming back with a ulgy error.
> This was built with LFS 6.6 and BLFS svn. 
> 
> make[3]: Leaving directory `/sources/blfs/tetex-src-3.0/texk/web2c/lib'
> gcc -DHAVE_CONFIG_H -I. -I. -I.. -I./.. -g -O2 -c tangleboot.c -o 
> tangleboot.o
> In file included from tangleboot.c:94:
> tangleboot.h:34: error: conflicting types for 'getline'
> /usr/include/stdio.h:651: note: previous declaration of 'getline' was here
> tangleboot.c:2175: error: conflicting types for 'getline'
> /usr/include/stdio.h:651: note: previous declaration of 'getline' was here
> make[2]: *** [tangleboot.o] Error 1
> make[2]: Leaving directory `/sources/blfs/tetex-src-3.0/texk/web2c'
> make[1]: *** [all] Error 1
> make[1]: Leaving directory `/sources/blfs/tetex-src-3.0/texk'
> make: *** [all] Error 1

Yep, that's a pretty common error with older source packages and newer 
Glibc which provides its own copy of getline() now.  The easiest way 
around this is something like:

sed -i -e 's/getline/get_line/g' texk/web2c/lib/tangleboot.{c,h}

i.e. just rename tetex's internal copy of getline to get_line.

Regards,

Matt.



More information about the blfs-support mailing list